List API keys
curl --request GET \
--url https://app.trypost.it/api/api-keys \
--header 'Authorization: Bearer <token>'import requests
url = "https://app.trypost.it/api/api-keys"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://app.trypost.it/api/api-keys', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "4f1d8c2b7e9a03c6d5b8e1f2a3c4d5e6f7a8b9c0d1e2f3a4b5c6d7e8f9a0b1c2d3e4f5a6b7c8d9e0",
"name": "Zapier",
"last_used_at": "2026-10-08T13:00:00+00:00",
"expires_at": "2026-12-31T23:59:59+00:00",
"created_at": "2026-10-08T12:00:00+00:00"
}
],
"links": {
"first": "https://app.trypost.it/api/api-keys?page=1",
"last": "https://app.trypost.it/api/api-keys?page=1",
"prev": null,
"next": null
},
"meta": {
"current_page": 1,
"from": 1,
"last_page": 1,
"links": [
{
"url": null,
"label": "« Previous",
"page": null,
"active": false
},
{
"url": "https://app.trypost.it/api/api-keys?page=1",
"label": "1",
"page": 1,
"active": true
},
{
"url": null,
"label": "Next »",
"page": null,
"active": false
}
],
"path": "https://app.trypost.it/api/api-keys",
"per_page": 25,
"to": 1,
"total": 1
}
}{
"message": "Unauthenticated."
}{
"message": "Active subscription required."
}{
"message": "<string>"
}{
"name": "rate_limit_exceeded",
"message": "Rate limit exceeded. Please retry after 30 seconds."
}API keys
List API keys
Lists your own API keys for this workspace that are not deleted, newest first. Keys of other members are not listed. The secret is never returned again. Page size is set by the server: read meta.per_page.
GET
/
api-keys
List API keys

